# $Revision: 1.15 $, $Date: 2004/06/02 08:19:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	Persistent
Summary:	Tie::Persistent - persistent data structures via tie made easy
Summary(pl):	Tie::Persistent - trwae struktury danych oparte na Tie
Name:		perl-Tie-Persistent
Version:	1.00
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f21d393e7af0cb6eebad6b3b72a2797
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Tie::Persistent package makes working with persistent data real
easy by using the tie interface.

It works by storing data contained in a variable into a file (not
unlike a database). The primary advantage is speed, as the whole
datastructure is kept in memory (which is also a limitation), and, of
course, that you can use arbitrary data structures inside the variable
(unlike DB_File).

%description -l pl
Pakiet Tie::Persistent czyni prac z trwaymi danymi naprawd atw
dziki uyciu interfejsu tie.

Dziaa on poprzez zapisywanie danych zawartych w zmiennej do pliku
(podobnie jak w bazie danych). Gwn zalet jest szybko, jako e
caa struktura danych jest trzymana w pamici (ktra jest take
ograniczeniem) i oczywicie to, e mona uywa w zmiennej dowolnych
struktur danych (w przeciwiestwie do DB_File).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-Persistent.spec,v $
Revision 1.15  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.14  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.13  2004/05/06 18:21:23  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.11  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:08  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:00  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 18:59:44  radek
- new, STBR
